plasma_desc_t(3)

NAME
plasma_desc_t -

SYNOPSIS

#include <descriptor.h>

  Data Fields
void * mat
size_t A21
size_t A12
size_t A22
PLASMA_enum dtyp
int mb
int nb
int bsiz
int lm
int ln
int lm1
int ln1
int lmt
int lnt
int i
int j
int m
int n
int mt
int nt

Detailed Description

 Tile matrix descriptor

Matrices are stored in a contiguous data chunk containing in order A11, A21, A12, A22 with :

     n1      n2
+----------+---+
|          |   |    With m1 = lm - (lm%mb)
|          |   |         m2 = lm%mb

 m1 | A11 |A12| n1 = ln - (lnnb) | | | n2 = lnnb | | | +----------+---+ m2 | A21 |A22| +----------+---+

Field Documentation

  size_t plasma_desc_t::A12
pointer to the beginning of the matrix A12

  size_t plasma_desc_t::A21
pointer to the beginning of the matrix A21

  size_t plasma_desc_t::A22
pointer to the beginning of the matrix A22

  int plasma_desc_t::bsiz
size in elements including padding

  PLASMA_enum plasma_desc_t::dtyp
precision of the matrix

  int plasma_desc_t::i
row index to the beginning of the submatrix

  int plasma_desc_t::j
column index to the beginning of the submatrix

  int plasma_desc_t::lm
number of rows of the entire matrix

  int plasma_desc_t::lm1
number of tile rows of the A11 matrix - derived parameter

  int plasma_desc_t::lmt
number of tile rows of the entire matrix - derived parameter

  int plasma_desc_t::ln
number of columns of the entire matrix

  int plasma_desc_t::ln1
number of tile columns of the A11 matrix - derived parameter

  int plasma_desc_t::lnt
number of tile columns of the entire matrix - derived parameter

  int plasma_desc_t::m
number of rows of the submatrix

  void* plasma_desc_t::mat
pointer to the beginning of the matrix

  int plasma_desc_t::mb
number of rows in a tile

  int plasma_desc_t::mt
number of tile rows of the submatrix - derived parameter

  int plasma_desc_t::n
number of columns of the submatrix

  int plasma_desc_t::nb
number of columns in a tile

  int plasma_desc_t::nt
number of tile columns of the submatrix - derived parameter

Author

Generated automatically by Doxygen for PLASMA from the source code.